#!/usr/bin/perl -w

use strict;
use Config;
use ExtUtils::MakeMaker;

sub check_module {
    my $sample  = shift;
    my @modules = @_;
    my @needed;

    foreach my $module (@modules) {
	eval "require $module";
	push @needed, $module if $@;
    }

    if (@needed) {
	my $needed = shift @needed;
	$needed = join(", ", @needed) . " and $needed" if @needed;

	warn "You must have $needed installed to use $sample\n";
    }
}

check_module("PerlMx::Samples::BlackList",
	     "Net::DNS", "Config::General");
check_module("PerlMx::Samples::Evil_Filter",
	     "Compress::Zlib");
check_module("PerlMx::Samples::External",
	     "File::Temp");
check_module("PerlMx::Samples::UVScanner",
	     "File::Temp");

sub MY::libscan {
    my $s = shift;
    my $path = shift;
    return "" if ($path =~ /RCS|CVS|SCCS/ ||
                  $path =~ /[~%]$/ ||
                  $path =~ /\.(orig|rej)$/);
    # force installing the samples into sitearch since that is where the
    # installer put them for all 1.x releases
    $path =~ s/INST_LIB/INST_ARCHLIB/g;
    $path;
}

WriteMakefile(
    'NAME'		=> 'PerlMx::Samples',
    'PREREQ_PM'		=> {},
    'VERSION'		=> '0.6',
);
