#
# A minimal PerlMx filter module.
#
# This simply logs the sources of connections.
#
# Copyright (c) 2000-2003 ActiveState. All rights reserved.
#
package PerlMx::Samples::MinFilter;

use PerlMx;
use base 'PerlMx';

sub new {
    return bless {
	CONNECT	=> sub {
	    my $ctx = shift;
	    my $from = shift;
	    warn "[" . localtime(time) . "] SMTP connection from $from\n";
	    return SMFIS_CONTINUE;
	}
    }, shift;
}

1;

__END__

=head1 NAME

PerlMx::Samples::MinFilter -- Logs remote host name and connection time

=head1 SYNOPSIS

    pmx1 PerlMx::Samples::MinFilter >& MinFilter.log &

=head1 DESCRIPTION

Logs the remote hostname and connection time to STDERR.

=head1 COPYRIGHT

Copyright (c) 2000-2003 ActiveState. All rights reserved.

=head1 SEE ALSO

L<PerlMx>, L<perl>

=cut
