#
# A minimal PerlMx::Samples::Simple filter module.
#
# Compare MinFilter.pm.
#
# Copyright (c) 2000-2003 ActiveState. All rights reserved.
#

package PerlMx::Samples::SimpleMinFilter;

use PerlMx::Simple;
use base 'PerlMx::Simple';

sub pmx_connect {
    my $ctx = shift;
    my $from = shift;
    warn "[" . localtime(time) . "] SMTP connection from $from\n";
    return CONTINUE;
}

1;

__END__

=head1 NAME

PerlMx::Samples::SimpleMinFilter -- Logs remote host name and connection time

=head1 SYNOPSIS

    pmx1 PerlMx::Samples::SimpleMinFilter >& SimpleMinFilter.log &

=head1 DESCRIPTION

Logs remote host name and connection time to STDERR. This filter overrides
the callback defined in PerlMx::Simple.

=head1 COPYRIGHT

Copyright (c) 2000-2003 ActiveState. All rights reserved.

=head1 SEE ALSO

L<PerlMx>, L<PerlMx::Simple>, L<perl>

=cut
