package PureMessage::Milter::Null;

# This is a test filter.  It will register callbacks for
# all events but not really do anything.  Useful for
# verifying that PureMessage works and for benchmarking of
# the PureMessage core.

use strict;
use base 'PerlMx';

use PerlMx qw(SMFIS_CONTINUE);

sub new {
    my $class = shift;
    my $self = bless { FLAGS => 0 }, $class;
    for my $cb (qw(CONNECT HELO ENVFROM ENVRCPT HEADER EOH BODY EOM CLOSE ABORT)) {
	$self->{$cb} = sub {
	    return SMFIS_CONTINUE;
	};
    }
    $self;
}

1;
